Skip to main content
Update Subdomain

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

allows modifying resources

Path Parameters

subdomain_external_id
string
required

The unique Subdomain ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Body

application/json

Default structure for updating a Subdomain.

domain_id
string<uuid>

The unique ID of a Domain to which this Subdomain is linked, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"b9734761-eb84-42dc-a79f-5e7b1fe897b7"

subdomain_name
string

Name of the Subdomain.

Required string length: 1 - 255
Example:

"Research"

Response

No Content